---
title: "Week 2, Wednesday: Pins, pins, pins"
date: 2024-08-07T20:21:19+02:00
Tags: []
Categories: []
draft: false
---

# Morning

{{< image frame="true" width="17em" float="right" src="/img/headline/fluidfield.png" alt="Credit: Fluidfield, YouTube" >}}

I may as well stop having a _Morning_ section on my journal. Although I didn't go to bed super late
yesterday (I think it was about 01:45 or so), I did end up sleeping quite long today. I got up at
11:30 or so, just in time for lunch :)

# Afternoon

I made a really nice leek soup yesterday, and today it was time to consume it! Although I forgot to
take pictures, the soup has fried mini veal dumplings and stilton cheese and it's super delicious. I
ate two bowls, Marina ate one, and then she continued with some leftover beans and potatoes from
yesterday. After lunch, I went to the basement to continue the creation of the _schwag_ for FrysIX:
yesterday I made 60pcs of [[IPng](https://ipng.ch)] branded (fridge) magnets, and today I continued
with 60pcs of 38mm pins. I really enjoy doing this type of work - each unit takes maybe 20 seconds
or so, which means the exercise takes about 25min end to end - there's something about the
monotonous placement of the outer shell, the cellophane, the 2" round printed inside, and then the
back side (either magnet or pin), that is rewarding to me. I always had it: 20y ago when we lived in
the Netherlands, I would also enjoy printing DCD labels, and sticking them onto the discs and
printing, cutting and putting paper inlays into jewel cases. Is that weird?

Meanwhile, Marina was upstairs looking for more pin-making-resources. She found 59mm pins (these are
38mm), and they come in a variety of types, fronts, and back plates, including one that is both a
magnet as well as a bottle opener. I get an idea -- wouldn't it be fun to have a bunch of pins with
RFID tags in them? I find the nTAG21x from NXP, and order a few rolls of 20x10mm and 35mm round
units which have either 144 bytes or 504 bytes of storage. Cool! Will see if I can McGuyver these
into schwag later.

I'm going to visit NL a little bit in September. I thought it'd be fun to have an IPng logo on the
car, and seeing as we just got a Cameo v5 delivered (_quelle surprise_!), we took a few pictures
with an assorted set of colored vinyl and I posted a Twitter and Mastodon poll to see what the
Internet thinks:

*   [Twitter - https://x.com/IPngNetworks/status/1821179665928560873](https://x.com/IPngNetworks/status/1821179665928560873)
*   [Mastodon - https://ublog.tech/@IPngNetworks/112921027967806983](https://ublog.tech/@IPngNetworks/112921027967806983)

***Please vote!***

Marina spends an inordinate amount of time on the pins website - it's super flaky and keeps on
throwing errors. But after a few hours (!) she finally places an order and informs of of the damage.
It's not too bad! But the RFID experiment will be driving up the price, for sure :)

# Evening

There is no apero today (whoa), but instead Marina offers a nice glass of _Barocco Reale_ from
_Veccia Torre_. Are you proud of me, or disappointed (I'm asking Max, Niccolo, Marco, Marco and
Giovanni)? To pair with the wine, Marina made pulled beef (from the stockpile we got at _Aligro_)
with Pappardelle pasta (my choice!). We topped it off with some freshly grated Grana Padano. It was
heavenly.

Marina says: "I didn't do jack shit today, so no TV for me: I need a _knutselavond_!". I'm down for
that, as I am also in need of some _nerd_. My evening is spent downstairs watching _The Last of Us_
on Jessica's left screen, and computering on the right.

In the evening, on Mastodon @kwf points out that the micromirror is going strong - and I show the traffic of
the machine at the DDLN colo in AS8298. It's nicely di-urnal, which is a good sign that it's
serving timezone-local folks. It peaks at 700Mbps or so, and has a daily of 400Mbps. Nice!

With this website, the new [[IPng.ch](https://ipng.ch)] website, and some older ones like the [[2022
Roadtrip NOSE](https://2022roadtripnose.weirdnet.nl/)] all being built via the _Drone_ CI/CD, the
2vCPU and 4GB virtual machine that is [[git.ipng.ch](https://git.ipng.ch)] is running out of steam.
Specifically the checkout of Git LFS objects and websites in the single digit gigabyte range, make
it really work. So I decide to move off a couple of docker services on that machine, to another one.

**docker0.frggh0.net.ipng.ch** is now the proud owner of:
*    [[PictShare](https://github.com/HaschekSolutions/pictshare)] from HaschekSolutions. I spend
     some time (re)skinning this one to IPng colors and logo.
*    [[Golinks](https://github.com/x-proj/go-links)] which is a fork of
     [[kellegous/go](https://github.com/kellegous/go)], and it's uptodate.
*    [[Netbox](https://github.com/netbox-community/netbox-docker)] which I upgrade to v4.0.8 while
     I'm at it.

And for good measure, I bump Gitea's VM memory to 8GB and 8vCPU, and reboot the instance. I also
notice that e-mail isn't working, which I track down to a faulty `.env` setting. All works now!

I'm in maintenance mode, so I also take a look at Mastodon (which is uptodate), and Peertube (which
is not). I make a VM snapshot of the Peertube instance, and upgrade it from v6.0.4 to v6.2.1. This
requires me to upgrade node from v19 to v20, and install Python3 PIP. Otherwise, the upgrade goes
well.  Finally, I take a look at Pixelfed, which by my best knowledge, only my buddy Ramon uses.
It's also in need of an update (from v0.12.1 to v0.12.3), so I make a snapshot of the VM's disk, 
and then I use [[idanoo](https://github.com/idanoo/pixelfed-upgrade-script.git)]'s excellent work.
The upgrade goes down without a hitch, whohoo!

I run out of things to upgrade, so I rummage around Ansible groups a bit, and do an APT upgrade on
the `smtp`, `nginx`, `border`, `apu`, and `hypervisor` clusters. The thing is: if you claim you're a
fan of self-hosting, at some point you have to ... self-host :) But no damage done, and a few XP
earned today.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-08-07/IMG_0558.JPG" caption="The magnets were done yesterday, and today the chore is 60pcs of IPng.ch pins!" >}}
  {{< gallery-photo fn="2024-08-07/IMG_0559.JPG" caption="The pins are going well. Coffee: check!" >}}
  {{< gallery-photo fn="2024-08-07/IMG_0560.JPG" caption="We randomly try a few hues of green and blue and purple against the (blue) car, to figure out which color contrasts well with it." >}}
  {{< gallery-photo fn="2024-08-07/IMG_0561.JPG" caption="Marina and I are curious which color logo would look best on Tessa. Blue? Grey? Red? or Hotpink? Vote in the Mastodon and Twitter posts in today's journal entry!" >}}
  {{< gallery-photo fn="2024-08-07/IMG_0562.JPG" caption="Marina treats me to some Vecchia Torre wine today - dinner is excellent" >}}
  {{< gallery-photo fn="2024-08-07/micromirror.png" caption="On Mastodon, we discuss Micromirrors - the one I'm running at IPng is doing well!" >}}
  {{< gallery-photo fn="2024-08-07/peertube.png" caption="I upgrade Peertube from 6.0.4 to 6.2.1 and all is well with my videos" >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}

